# beignet

## Motivation

Beignet is an app developed for QSI group funds. It was developed to minimize errors in
contributions to group funds as well as in the distribution of rewards to contributors.

## Features

### For contributors

Beignet has functionality to allow users to contribute to a group fund. The seed or
"secret key" of contributors is not stored on the server, it is only needed to process
transactions using `horizon` and `txnbuild` APIs and is immediately sent to the API
upon group fund contribution.

### For auditors

Beignet can allow auditors to purchase assets with the press of a button. It can also send
bonus tokens to users with a press of a button (after selection).

### For both

Beignet displays the total number of XLM contributed and the estimated reward per wallet.

## Project setup

```
yarn install
```

### Compiles and hot-reloads for development

```
yarn serve
```

### Compiles and minifies for production

```
yarn build
```

### Run your unit tests

```
yarn test:unit
```

### Lints and fixes files

```
yarn lint
```

### Customize configuration

See [Configuration Reference](https://cli.vuejs.org/config/).
